Subject: Re: [vnrg] Logical vs. virtual

From: "Sangjin Jeong" <[email-masked]>
Date: Thu, 17 Feb 2011 16:47:44 +0900

Hi Martin,
 
I tend to agree to your opinion that logical or virtual may be dependent on 
the point of view.
 
It seems to me that logical is related to the separation aspect of physical 
entity, whereas virtual is related to the realization aspect.
 
I think that logical entity is an independently manageable entity of physical 
entity. A single physical entity can be divided into one or more logical 
entities. Each logical entity inherits the characteristics of the physical 
entity and the capability of the logical entity is basically limited to the 
capability of the physical entity. In other words, the capability of the 
logical entity is bound to the dedicated portion of the physical entity to 
the logical entity. The sum of all logical entities' capability will be the 
capability of the physical entity, if over-commitment is not considered. 
Also, since it is possible to aggregate multiple logical entities into a 
single logical entity, a single logical entity can consist of multiple 
physical entities.
 
Virtual entity is an abstract instance (or representation) of physical or 
logical entity. After creating a virtual entity, a resource portion of 
physical or logical entity is allocated to the virtual entity so that the 
virtual entity can work. A physical or logical entity can have one or more 
virtual entities. It is possible to make virtual entity that does not have 
physical or logical entity by creating dummy virtual entity (no resource is 
allocated to the dummy virtual entity). The capability of the virtual entity 
may exceed the physical or logical entity's capability depending on the 
characteristics of physical or logical entity. For example, it is possible to 
provide more virtual memory that physical memory by utilizing auxiliary 
storage device. During the creation of virtual entity, it is possible to 
modify the characteristics of the virtual entity by abstraction. 
 
Regards, 
Sangjin
 
> Dear all, 
> 
> I'm replying to this rather old email thread about "Logical vs. virtual", as I haven't found a compelling definition yet of what is logical and what is virtual. Not that it wasn't stated before, I have just a hard time to catch the definitions. 
> 
> 
> After spending some time with reasoning (on my own and with a colleague) about logical and virtual, I see them orthogonal to each other, as the perception if something is logical or virtual may heavily dependent on the view. 
> 
> Logical seems to me the description of a thing (entity), in our case a (virtual) network. A virtual network logically consists out of virtual links and virtual routers (omitting switches, etc here). This would be the view from top (user of CN) to down. On the other hand, seen from the physical side, a virtual network logically consists out of instances on a physical link, instances on a router, etc. 
> 
> Virtual on the other hand describes more the fact that you can use something which is actually not really existing, plus some more features as the ability to relocated, re-visitation, etc, probably going beyond the abilities of the lower (physical layer). An example would be direct link between two virtual routers, which in fact crosses multiple routers, i.e., you get the direct link which is actually not existing but constructed. 
> 
> To give an example from the computer world on virtual memory: 
> Virtual memory gives you something beyond the ability of real physical memory, e.g., continuous memory or memory beyond the real RAM by using space on a hard disk. Logically you have memory for application and the OS logically provides you with the means (real RAM or disk space) to have such a memory. 
> 
> Somebody (probably Joe) mentioned also that there is a mapping step from a logical level to the level below, e.g., mapping from need "x routers and links in a star topology" to the layer below (physical or virtual) in terms of "take VLAN X, router instance Z on router DS". 
> 
> The above text is for sure not ready to be casted in stone, but an attempt to get some textual definitions. Ideas of the text are not all mine, but include a condensed ideas of emails. 
> 
> Open fire on my right now! :) 
> 
>   Martin 
> 
> [email-masked] 
> 
> NEC Laboratories Europe - Network Research Division 
> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014